#!/usr/bin/python3

# Výpočet druhej odmocniny kladného čísla
# a) pomocou Newtonovej metódy
# b) pomocou funkcie math.sqrt()

import math

def Newton(a,b):
    return (b+a/b)/2.0

def Vypis(a,b):
    print("Odmocnina čísla",a,"je")
    print("a) pomocou Newtonovej metódy:",b)
    print("b) pomocou funkcie math.sqrt():",math.sqrt(a))

prah = 0.001

print("Výpočet druhej odmocniny kladného čísla")

cislo = float(input("Zadaj kladné číslo: "))
if (cislo > 0.0):
    priblizne = cislo/2.0
    while True:
        lepsie = Newton(cislo,priblizne)
        if abs(priblizne-lepsie) < prah:
            Vypis(cislo,lepsie)
            break
        priblizne = lepsie
elif (cislo == 0.0):
    Vypis(cislo,0.0)
else:
    print("Zadal si záporné číslo")
